//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>

//<--- EXTERNAL LIBS (SOCKETS, FILESYSTEM & SQLITE) -->

#ifndef WIN
//usleep:
#include <unistd.h>
#endif

//atoi-type (windows/unix)
#include <stdlib.h>
#include <stdio.h>

#ifndef WIN
//string functions
#include <ctype.h>
//file locks
#include <fcntl.h>
//signals
#include <signal.h>
//errno
#include <errno.h>
//waitpid() stuff
#include <sys/stat.h>
#include <sys/wait.h>
#endif
//uid-related unix code:
#ifdef SAFEUNIX
#include <pwd.h>
#endif

#ifndef WIN
#include <stdarg.h>
#endif

//everything windows
#ifdef WIN
#include <windows.h>
#include <winsock2.h>
#include <ws2tcpip.h>
#include <malloc.h>
#endif
//dll/lib loading at runtime
#ifndef WIN
#if (HAVE_MALLOC_H != 0)
#include <malloc.h>
#endif
#include <dlfcn.h>
#endif
//kernel/system name
#ifdef SAFEUNIX
#include <sys/utsname.h>
#endif
