//    WeIRCd IRC server software - sub file
//    Copyright (C) 2007-2009 Jonas Thiem
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License v3 as published
//    by the Free Software Foundation.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.

#define MODAREA_INFOQ 1
#define MODAREA_GENERICFUNC 2

void module_Switched(const char* name); //we are now in a new module
void module_SetArea(int area); //setting a new access area
int module_GetArea(); //get the id of the current access area
int module_AccessAllowed(int area); //checking if access to this area is allowed
int module_AccessViolationHappened(); //check if there recently happened an access violation (-1 no, >= 0 yes)
const char* module_Current(); //get the name of the current module (or NULL)
void module_DoingShutdown();
void module_ShutdownDone();
int module_ShuttingDown();

void module_EnableCTrackerApi();
int module_CTrackerAccessAllowed();